//
// Created by vlad on 23.03.23.
//

#ifndef GRAPHICS_LABS_EVENTS_H
#define GRAPHICS_LABS_EVENTS_H

#include "Window.h"

typedef unsigned int uint;

class Events {
public:
    static bool* _keys;
    static uint* _frames;
    static uint _current;
    static float deltaX;
    static float deltaY;
    static float x;
    static float y;
    static bool _cursor_locked;
    static bool _cursor_started;

    static int initialize();
    static void finalize();
    static void pullEvents();

    static bool pressed(int keycode);
    static bool jpressed(int keycode);

    static bool clicked(int button);
    static bool jclicked(int button);

    static void toggleCursor();
};

#endif //GRAPHICS_LABS_EVENTS_H
